From: "Dennis Lamm" <expeditioneer@gentoo.org>
To: gentoo-commits@lists.gentoo.org
Subject: [gentoo-commits] repo/gentoo:master commit in: dev-python/pywavelets/
Date: Sun, 27 Sep 2020 07:31:34 +0000 (UTC) [thread overview]
Message-ID: <1601191887.ab07f991e7b5c8924aac52852a0ce73638a6023b.expeditioneer@gentoo> (raw)
commit: ab07f991e7b5c8924aac52852a0ce73638a6023b
Author: Dennis Lamm <expeditioneer <AT> gentoo <DOT> org>
AuthorDate: Tue Jul 21 13:24:25 2020 +0000
Commit: Dennis Lamm <expeditioneer <AT> gentoo <DOT> org>
CommitDate: Sun Sep 27 07:31:27 2020 +0000
URL: https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=ab07f991
dev-python/pywavelets: version bump to 1.1.1
Signed-off-by: Dennis Lamm <expeditioneer <AT> gentoo.org>
dev-python/pywavelets/Manifest | 1 +
dev-python/pywavelets/pywavelets-1.1.1.ebuild | 52 +++++++++++++++++++++++++++
2 files changed, 53 insertions(+)
diff --git a/dev-python/pywavelets/Manifest b/dev-python/pywavelets/Manifest
index ffb45fc0730..7cfc84dd3d5 100644
--- a/dev-python/pywavelets/Manifest
+++ b/dev-python/pywavelets/Manifest
@@ -1 +1,2 @@
DIST PyWavelets-0.5.2.tar.gz 4430706 BLAKE2B 0a96dde04c0d6b58304b2a6a1331036c33bf89be717127df97ea178d638d193b9ce8994d90e34b969a4a6228e7985c943529fb386a3bc938ce61a78925549bf2 SHA512 6685b348009076b39a46e5a480189c34e5bc791ac110f47a52a8dbe0cbed1f3dcb64402174480d525bcf3776d12185ac89fe36c839727a14ffbad1ed835824ad
+DIST PyWavelets-1.1.1.tar.gz 4578294 BLAKE2B 1d3c9118739f831a3a198ab4461daa337b7952e16693d8ab15498ac26897a813d0adc02ae339a6a3ebfd3810db13ed297714c36ba67af559835af58c2ab243e1 SHA512 3e70625dad27822165e79b7d240c34072684ba340e8d314a026d2e47e81b04945d9ed9c6a5f0730eab285d3d5ebb1b311aaec5d6d06bced1eea80000bef5e787
diff --git a/dev-python/pywavelets/pywavelets-1.1.1.ebuild b/dev-python/pywavelets/pywavelets-1.1.1.ebuild
new file mode 100644
index 00000000000..13958d97cf3
--- /dev/null
+++ b/dev-python/pywavelets/pywavelets-1.1.1.ebuild
@@ -0,0 +1,52 @@
+# Copyright 1999-2020 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+
+PYTHON_COMPAT=( python3_{6..8} )
+
+inherit distutils-r1
+
+MY_PN="${PN/pyw/PyW}"
+MY_P="${MY_PN}-${PV}"
+
+DESCRIPTION="Discrete Wavelet Transforms in Python"
+HOMEPAGE="https://pywavelets.readthedocs.io/en/latest/"
+SRC_URI="mirror://pypi/${MY_PN:0:1}/${MY_PN}/${MY_P}.tar.gz"
+
+LICENSE="MIT"
+SLOT="0"
+KEYWORDS="~amd64 ~x86 ~amd64-linux ~x86-linux"
+IUSE="doc examples"
+
+RDEPEND="
+ doc? ( dev-python/sphinx[${PYTHON_USEDEP}]
+ dev-python/numpydoc[${PYTHON_USEDEP}] )
+ dev-python/matplotlib[${PYTHON_USEDEP}]
+ dev-python/numpy[${PYTHON_USEDEP}]
+"
+BDEPEND="${RDEPEND}
+ dev-python/cython[${PYTHON_USEDEP}]
+"
+
+distutils_enable_tests pytest
+
+S="${WORKDIR}/${MY_P}"
+
+python_test() {
+ pytest -vv --pyargs ${BUILD_DIR}"/lib" || die "Tests fail with ${EPYTHON}"
+}
+
+python_compile_all() {
+ use doc && emake -C doc html
+}
+
+python_install_all() {
+ use doc && local HTML_DOCS=( doc/build/html/. )
+ distutils-r1_python_install_all
+ if use examples; then
+ insinto /usr/share/doc/${PF}/examples
+ doins -r demo/*
+ docompress -x /usr/share/doc/${PF}/examples
+ fi
+}
next reply other threads:[~2020-09-27 7:31 UTC|newest]
Thread overview: 34+ messages / expand[flat|nested] mbox.gz Atom feed top
2020-09-27 7:31 Dennis Lamm [this message]
-- strict thread matches above, loose matches on Subject: below --
2024-12-05 5:39 [gentoo-commits] repo/gentoo:master commit in: dev-python/pywavelets/ Michał Górny
2024-12-05 5:39 Michał Górny
2024-08-13 4:55 Michał Górny
2024-06-30 17:00 Michał Górny
2024-06-30 17:00 Michał Górny
2024-04-02 5:45 Michał Górny
2024-03-10 16:37 Michał Górny
2023-12-30 18:32 Michał Górny
2023-11-18 6:42 Michał Górny
2023-03-25 17:19 Michał Górny
2022-11-14 5:05 Michał Górny
2022-09-26 12:53 Arthur Zamarin
2022-09-26 12:53 Arthur Zamarin
2022-09-15 19:56 Arthur Zamarin
2022-05-16 13:27 Michał Górny
2022-03-14 17:04 Michał Górny
2021-12-13 3:09 Yixun Lan
2021-11-09 10:23 Michał Górny
2021-10-14 12:12 Arthur Zamarin
2021-10-14 12:12 Arthur Zamarin
2020-11-18 18:58 David Seifert
2020-09-27 7:31 Dennis Lamm
2020-08-02 9:21 Michał Górny
2020-03-28 21:24 Michał Górny
2019-08-03 20:36 Alexey Shvetsov
2018-04-29 6:33 Michał Górny
2017-06-27 2:49 Sebastien Fabbro
2017-05-24 12:21 Manuel Rüger
2017-05-02 11:58 Michał Górny
2017-02-26 18:02 Sebastien Fabbro
2016-03-01 19:46 Patrick Lauer
2015-09-11 15:33 Manuel Rüger
2015-08-17 5:43 Ian Delaney
Reply instructions:
You may reply publicly to this message via plain-text email
using any one of the following methods:
* Save the following mbox file, import it into your mail client,
and reply-to-all from there: mbox
Avoid top-posting and favor interleaved quoting:
https://en.wikipedia.org/wiki/Posting_style#Interleaved_style
* Reply using the --to, --cc, and --in-reply-to
switches of git-send-email(1):
git send-email \
--in-reply-to=1601191887.ab07f991e7b5c8924aac52852a0ce73638a6023b.expeditioneer@gentoo \
--to=expeditioneer@gentoo.org \
--cc=gentoo-commits@lists.gentoo.org \
--cc=gentoo-dev@lists.gentoo.org \
/path/to/YOUR_REPLY
https://kernel.org/pub/software/scm/git/docs/git-send-email.html
* If your mail client supports setting the In-Reply-To header
via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line
before the message body.
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox